Migrate to libicu 71

Expected behaviour

Owncloud can be installed on Ubuntu 22.10

Actual behaviour

Installation not possible due to missing libico70 → current version on ubuntu 22.10 is libicu71

Steps to reproduce

Server configuration

Operating system:

Web server:

Database:

PHP version:

ownCloud version:

Storage backend (external storage):

Client configuration

Client version:

Operating system: Ubuntu 22.10 (on wayland)

OS language:

Qt version used by client package (Linux only, see also Settings dialog):

Client package (From ownCloud or distro) (Linux only):
Package: owncloud-client
Version: 2.11.1+oc-8438
Depends: libc6 (>= 2.34), libsqlite3-0 (>= 3.12.0), libstdc++6 (>= 11), ocqt51210-libqt5core5a, ocqt51210-libqt5dbus5, ocqt51210-libqt5gui5, ocqt51210-libqt5keychain1, ocqt51210-libqt5network5, ocqt51210-libqt5widgets5, ocqt51210-libqt5xml5, zlib1g (>= 1:1.1.4), libsecret-tools, ocqt51210-libqt5sql5-sqlite, ocqt51210-qtsvg5, ocqt51210-qttranslations5, ocqt51210-qtwayland5

Error:

ocqt51210-libqt5core5a : Hängt ab von: libicu70 (>= 70.1-1~) ist aber nicht installierbar

Hi hamiller,

at a first glance it looks your repository is outdated. Make sure you are using the one for Ubuntu 22.04 at Install package owncloud-client

Still I think you won’t be happy since the ownCloud client is not working with wayland ATM, see Wayland support · Issue #8328 · owncloud/client · GitHub

So you’ll have to wait until this bug is fixed or run your Ubuntu without wayland.

repo looks good to me:

deb [arch=amd64 signed-by=/usr/share/keyrings/owncloud.gpg] https://download.owncloud.com/desktop/ownCloud/stable/latest/linux/Ubuntu_22.04/ /

however, in 22.10 you don’t have libicu70, but its successor 71…

Also I’ve been using owncloud client with Ubuntu 22.04 in wayland without issues (using the wayland integrated x11 fallback)

Apparently, you are using a repository for a different release. This has never been and will never be supported. We are working on adding the release and making a new build. However we have different top priorities right now, so this may take a few hours or days. I allocated a few minutes later this afternoon for this, though. I will post a comment here then to notify you.

(@cortho you may have got this wrong, @hamiller is using 22.10, you are suggesting the 22.04 repository.)

You are right, I was mistaken. thank you for the correction :slight_smile:

Thanks for the clarification @fmoc. I was aware of the wrong release repo, but was in despair for a running client on 22.10…

So I will heavily welcome the new release, thanks again!
PS: “…daily/3.0/linux/Ubuntu_22.10” works so far - awesome!

Took a bit longer than anticipated, but the new builds have just been deployed to the mirrors. You can now install packages for Ubuntu 22.10.

1 Like